﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - ProyectoIdentity</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <!-- Iconos de bootstrap 5 -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">

    <!-- Estilos para datepicker -->
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" />

    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/ProyectoIdentity.styles.css" asp-append-version="true" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-dark border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">ProyectoIdentity</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-white" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        
                        @if (User.IsInRole("Administrador"))
                        {
                            <li class="nav-item">
                                <a class="nav-link text-white" asp-area="" asp-controller="Usuarios" asp-action="Index">Admin. usuarios</a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link text-white" asp-area="" asp-controller="Roles" asp-action="Index">Admin. roles</a>
                            </li>
                        }

                        <li class="nav-item">
                            <a class="nav-link text-white" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>

                        <!-- Pruebas autorizacion (roles y claims) -->
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                Acceso / Auth
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoPublico">Acceso público</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoAutenticado">Acceso autenticado</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoUsuario">Acceso usuario</a>
                                
                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoRegistrado">Acceso registrado</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoAdministrador">Acceso administrador</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoUsuarioAdministrador">Acceso usuario o administrador</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoUsuarioYAdministrador">Acceso usuario y administrador</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoAdministradorPermisoCrear">Acceso administrador con permiso para crear</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoAdministradorPermisoEditarBorrar">Acceso administrador con permisos de editar y borrar</a>

                                <a class="dropdown-item" asp-controller="Autorizacion" asp-action="AccesoAdministradorPermisoCrearEditarBorrar">Acceso administrador con permisos de crear, editar y borrar</a>
                            </ul>
                        </li>
                    </ul>

                    <!-- Vista parcial para acceso (login) y registro -->
                    <partial name="_LoginRegistroVistaParcial" />
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2023 - ProyectoIdentity - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

    <script type="text/javascript">
        $(function() {
            $('#datepicker').datepicker({
                changeMonth: true,
                changeYear: true,
                yearRange: '1930:2020',
                dateFormat: 'yy-mm-dd'
            });
        });
    </script>

    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>
